EZ_CreateCursor()

NAME
EZ_CreateCursorFromBitmapFile, EZ_CreateCursorFromBitmapData - define an X cursor

SYNOPSIS
#include <EZ.h>

Cursor EZ_CreateCursorFromBitmapFile(char *file, char *maskfile,
                        char *fgcolor, char *bgcolor,
                        int hotx, int hoty,
                        char *name, int *idx_ret)

Cursor EZ_CreateCursorFromBitmapData(int width, int height,
                        char *data, char *mask
                        char *fgcolor, char *bgcolor,
                        int hotx, int hoty,
                        char *name, int *idx_ret)

ARGUMENTS
file Specifies a file to read the cursor bitmap.

maskfile Specifies a file to read the cursor mask bitmap or NULL.

fgcolor Specifies the foreground color for the cursor or NULL.

bgcolor Specifies the background color for the cursor or NULL.

hotx,hoty Specify a hotspot in the bitmap.

data Specifies the bitmap bits.

mask Specifies the mask bitmap bits or NULL.

width,height Specify the dimension of the bitmaps.

name Specifies a name for the cursor being created.

idx_ret Specifies a return for the internal identifier for the cursor being created.

DESCRIPTION

These two functions create an X cursor from the specified X bitmaps, and return the X cursor id. In case of failure, they return None. name, if specified, can be used in EZ_GetCursorByName to retrieve the cursor. The value returned to idx_ret can be used in EZ_GetCursor to return the cursor.

SEE ALSO
EZ_GetCursor(3), EZ_WaitCursor(3)